[问题]JAVA环境设置失败。

为当前最终发行版之前的所有版本提供支持
回复
xzzfirst
帖子: 39
注册时间: 2006-10-20 23:25
送出感谢: 0
接收感谢: 0

[问题]JAVA环境设置失败。

#1

帖子 xzzfirst » 2006-10-25 17:51

我已经安装JAVA环境

* 打开终端,执行以下命令,或使用《新立得软件管理器》,在其中分别搜索“sun-java5-jre“和“sun-java5-jdk”并标记安装。
*

sudo apt-get install sun-java5-jre
sudo apt-get install sun-java5-jdk

设置当前默认的java解释器

*

sudo update-alternatives --config java

o 执行后会出现类似如下的画面:

There are 4 alternatives which provide `java'.

Selection Alternative
-----------------------------------------------
*+ 1 /usr/lib/jvm/java-gcj/jre/bin/java
2 /usr/bin/gij-wrapper-4.1
3 /usr/bin/gij-wrapper-4.0
4 /usr/lib/jvm/java-1.5.0-sun/jre/bin/java

Press enter to keep the default
[*], or type selection number:[/color]

可是输入java -version还是显示
bash: java: command not found
Ejkoy
帖子: 11
注册时间: 2006-10-18 15:13
送出感谢: 0
接收感谢: 0

#2

帖子 Ejkoy » 2006-10-25 18:32

what did you chose in java config?
xzzfirst
帖子: 39
注册时间: 2006-10-20 23:25
送出感谢: 0
接收感谢: 0

#3

帖子 xzzfirst » 2006-10-25 18:53

4.
gmlbh
帖子: 406
注册时间: 2006-03-21 10:47
送出感谢: 0
接收感谢: 0

#4

帖子 gmlbh » 2006-10-25 19:41

我的好像也是这样,不过好像这样也是可以用的,反正我装lumaqq都可以用。
头像
SuperWar3Fan
帖子: 1263
注册时间: 2006-05-20 6:25
来自: 山东淄博
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 SuperWar3Fan » 2006-10-26 10:21

把java的路径加入到Path里面!
8087980
帖子: 31
注册时间: 2006-10-22 9:37
送出感谢: 0
接收感谢: 0

#6

帖子 8087980 » 2006-10-26 13:38

我用Dubuntu的,什么都帮你配制,还真方便
回复

回到 “老旧版本支持”